#ifndef CLCMPLUGINAPI_H
#define CLCMPLUGINAPI_H

#include <clPluginApi.h>
#include <clDebugApi.h>
#include <SaHpi.h>

#ifdef __cplusplus
extern "C" {
#endif
    
#define CL_CM_PLUGIN_VERSION 1
#define CL_CM_PLUGIN_ID 0x58429450
#define CL_CM_PLUGIN_NAME "cmPolicy.so"

#define CL_CM_PLUGIN_OP_NO_ACTION       0x0000

#define CL_CM_PLUGIN_OP_PERMITTED       0x0001
#define CL_CM_PLUGIN_OP_PUBLISHED       0x0002


typedef struct
{
    ClPlugin pluginInfo;
    ClRcT (*clHpiEventFilter)(SaHpiSessionIdT session, SaHpiEventT* event, SaHpiRdrT* rdr, SaHpiRptEntryT* rpt);
} ClCmPluginApi;

#ifdef __cplusplus
}
#endif    
#endif
